Bug 1422654 - Node lifecycle: ability to set node manageable from provisioning state enroll
Summary: Node lifecycle: ability to set node manageable from provisioning state enroll
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.2
Assignee: Richard Su
QA Contact: Ola Pavlenko
URL:
Whiteboard: openstack:provision:infra
Depends On: 1413371
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-15 18:47 UTC by Satoe Imaishi
Modified: 2017-08-30 03:49 UTC (History)
7 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1413371
Environment:
Last Closed: 2017-04-12 14:38:17 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)
last 3000 lines of evm.log, prodiction log (899.49 KB, text/plain)
2017-03-30 13:47 UTC, Ronnie Rasouli
no flags Details
registration file (3.77 KB, text/plain)
2017-03-30 13:59 UTC, Ronnie Rasouli
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github 3987 0 None None None 2017-02-15 18:48:14 UTC
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-03 21:00:58 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/615f542bbff37bd584807ab22216dfefb0c64580

commit 615f542bbff37bd584807ab22216dfefb0c64580
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Fri Feb 10 12:23:21 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Mar 3 15:56:54 2017 -0500

    Merge pull request #329 from rwsu/enroll-state
    
    Allow enroll state to transition to manageable
    (cherry picked from commit 327735e26aac455fe4054faa427e5545aa868edd)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1422654

 app/controllers/application_controller/ci_processing.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 5 Richard Su 2017-03-23 18:47:14 UTC
Yes, moving to POST.

Comment 6 Ronnie Rasouli 2017-03-30 13:46:24 UTC
Got proxy error, 502 Proxy Error

The proxy server received an invalid response from an upstream server.
The proxy server could not handle the request POST /ems_infra/register_nodes.

Reason: Error reading from remote server

[----] I, [2017-03-30T09:38:55.705307 #13806:4ec0730]  INFO -- : NotificationChannel is transmitting the subscription confirmation
[----] I, [2017-03-30T09:38:55.707547 #13806:4ec0730]  INFO -- : NotificationChannel is streaming from notifications_12000000000001
[----] I, [2017-03-30T09:39:02.872081 #13806:4db8e50]  INFO -- : Finished "/ws/notifications" [WebSocket] for 127.0.0.1 at 2017-03-30 09:39:02 -0400
[----] I, [2017-03-30T09:39:02.873360 #13806:4db8e50]  INFO -- : NotificationChannel stopped streaming from notifications_12000000000001
[----] I, [2017-03-30T09:39:02.876409 #13824:a35318]  INFO -- : Started GET "/api/auth?requester_type=ws" for 127.0.0.1 at 2017-03-30 09:39:02 -0400
[----] I, [2017-03-30T09:39:02.896151 #13824:a35318]  INFO -- : Processing by Api::AuthController#show as JSON
[----] I, [2017-03-30T09:39:02.896381 #13815:a38b30]  INFO -- : Started POST "/ems_infra/register_nodes" for 127.0.0.1 at 2017-03-30 09:39:02 -0400
[----] I, [2017-03-30T09:39:02.896368 #13824:a35318]  INFO -- :   Parameters: {"requester_type"=>"ws"}
[----] I, [2017-03-30T09:39:02.899358 #13815:a38b30]  INFO -- : Processing by EmsInfraController#register_nodes as HTML
[----] I, [2017-03-30T09:39:02.899591 #13815:a38b30]  INFO -- :   Parameters: {"utf8"=>"✓", "authenticity_token"=>"BsY3HTlZVAHfKSeDg1U39CBfHal5qwk2Az1/0qt9WY91kZU/baHbmB0Y/iAKXp207UDnvqwZsXcdAsYLDRa0RA==", "id"=>"12000000000001", "nodes_json"=>{"file"=>#<ActionDispatch::Http::UploadedFile:0x0000000da51ce0 @tempfile=#<Tempfile:/tmp/RackMultipart20170330-13815-18edls1.json>, @original_filename="my_file.json", @content_type="application/json", @headers="Content-Disposition: form-data; name=\"nodes_json[file]\"; filename=\"my_file.json\"\r\nContent-Type: application/json\r\n">}, "register"=>"Register"}
[----] I, [2017-03-30T09:39:02.959293 #13824:a35318]  INFO -- : Completed 200 OK in 63ms (Views: 0.4ms | ActiveRecord: 7.0ms)
[----] I, [2017-03-30T09:39:13.269794 #13806:a70c74]  INFO -- : Started GET "/ws/notifications" [WebSocket] for 127.0.0.1 at 2017-03-30 09:39:13 -0400
[----] I, [2017-03-30T09:39:13.270230 #13806:a70c74]  INFO -- : Successfully upgraded to WebSocket (REQUEST_METHOD: GET, HTTP_CONNECTION: Upgrade, HTTP_UPGRADE: WebSocket)
[----] I, [2017-03-30T09:39:13.285309 #13806:4db8e50]  INFO -- : Registered connection (Z2lkOi8vdm1kYi9Vc2VyLzEyMDAwMDAwMDAwMDAx)
[----] I, [2017-03-30T09:39:13.798123 #13806:4ec0730]  INFO -- : NotificationChannel is transmitting the subscription confirmation
[----] I, [2017-03-30T09:39:13.799430 #13806:4ec0730]  INFO -- : NotificationChannel is streaming from notifications_12000000000001
:

Comment 7 Ronnie Rasouli 2017-03-30 13:47:46 UTC
Created attachment 1267556 [details]
last 3000 lines of evm.log, prodiction log

Comment 8 Ronnie Rasouli 2017-03-30 13:59:10 UTC
Created attachment 1267571 [details]
registration file

Comment 9 Richard Su 2017-03-31 00:09:02 UTC
Hi Ronnie,

I wasn't able to reproduce the problem on my local environment. I noticed in your report, there was a proxy server. Can you give me more details about your setup and how the proxy server is used? Is this squid or another application?

Thanks,

Richard

Comment 11 Ronnie Rasouli 2017-04-02 12:34:36 UTC
after modifying the instanckenv.json correctly the registration pass correctly, node appears in active mode

Comment 13 errata-xmlrpc 2017-04-12 14:38:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.